User profiles

User profiles automatically create and maintain the desktop settings for each user's work environment on the local computer.

  • To find features that have been moved in Windows 2000 Server, see New ways to do familiar tasks.
  • For tips about using user profiles, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


New ways to do familiar tasks

The following table compares familiar Windows NT 4.0 user profile tasks with the equivalent tasks in Windows 2000.
If you want to | In Windows NT 4.0 use | In Windows 2000 use
Add a path to a user profile | User Manager in Administrative Tools. | Active Directory Users and Computers and click Users.
View the contents of a user profile | The profile is stored in Profiles in Winnt, User. | Windows Explorer. The profile is stored in Documents and Settings, User.
Copy a user profile | System utility in Control Panel. | System Properties and click User Profiles.
Add a home directory to a path | User Manager in Administrative Tools. | Active Directory Users and Computers and click Users.
Add a logon script to a user profile | User Manager in Administrative Tools. | Group Policy accessed through Active Directory Users and Computers. For more information, see To assign user logon scripts.


Best practices

  • Allowing for different hardware configurations

    Because user profiles can be used on various types of client computers, you should keep in mind that these client computers can have different hardware configurations, particularly different video cards and display monitors.

    Because a user profile determines screen placement and size of windows, a workstation's type of display hardware affects how well the user profile works. For example, the window setup in a user profile created for a computer with a Super VGA monitor might not look correct when loaded on a computer with a regular VGA monitor.

  • Creating and editing user profiles
    When you create or edit a user profile for a single user, use a computer with the same type of video hardware as the computer the user typically uses.
  • Creating mandatory profiles for multiple users
    When you create a mandatory user profile for several users, create a single user profile for the whole group of users only if they all use computers with the same type of video hardware.


How to...

  • Create a roaming user profile
  • Copy the user profile to the server
  • Delete a user profile
  • Create a preconfigured roaming user profile
  • Create a mandatory user profile
  • Add a home directory to a profile


Create a roaming user profile

To create a roaming user profile

  1. Open Active Directory Users and Computers.
  2. In the details pane, right-click the applicable user account.

    Where?

    • Active Directory Users and Computers
    • applicable domain
    • applicable container (such as Users)
    • applicable user account
  3. Click Properties.
  4. In the Properties dialog box, click the Profile tab.
  5. In Profile path, type the path information.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Use a full path in each user account:

    • \\server\share\%username%

  • The user profile path location can be on any server; it does not have to be a domain controller. When the user logs on, Windows checks the user's account to see if a user profile path exits. If it does, the user profile is located by the system and copied to the local computer.
  • The user account can be created in any organizational unit or container within the domain. The default location for the user account is the Users folder.
  • Windows 2000 does not support the use of encrypted files with roaming user profiles.
  • Roaming user profiles used with Terminal Services clients are not replicated to the server until the interactive user logs off and the interactive session is closed.

Related Topics


Copy the user profile to the server

To copy the user profile to the server

  1. Open the System Properties dialog box, and then click the User Profiles tab.
  2. In the User Profiles dialog box, click the user profile you want to copy.
  3. Click Copy To, and then either type the name of the destination folder or browse the network for it.

Notes

  • This location must match the User Profile Path entry for the user's account in Active Directory.
  • You cannot use Windows Explorer or any other file management utility to copy user profiles.
  • Use this procedure to issue a profile to a specific user, or prepare a network default user profile for all new users in the domain.
  • When you copy the user profile, in the Copy To dialog box, share the profile with Everyone. This user profile is then downloaded to the Default User (Network) folder on every computer at startup.

Related Topics


Delete a user profile

To delete a user profile

  1. Open the System Properties dialog box.
  2. In the System Properties dialog box, click the User Profiles tab.
  3. Click the user profile you want to delete, and then click Delete.

Notes

  • To delete a roaming user profile, the administrator needs to take ownership of the folder and then delete it.

Related Topics


Create a preconfigured roaming user profile

To create a preconfigured roaming user profile

  1. Open the System Properties dialog box.
  2. Under System Properties, click User Profiles.
  3. In the Profiles stored on this computer list, click the profile you want to copy.
  4. Click Copy To, and then either type the name of the destination folder or browse the network for it.
  5. To change the user or group allowed to use a user profile, click Change.

Notes

  • You must be logged on to Windows 2000 as an administrator to copy a user profile.
  • Do not use this procedure to create a local user profile that points to the Documents and Settings folder.
  • The first time the user logs on, instead of getting a copy of the default profile, the user gets a copy of the preconfigured user profile from the server. Thereafter, the user profile functions just as a standard roaming user profile does. Each time the user logs off, the user profile is saved locally and is also copied to the server.
  • Windows 2000 does not support the use of encrypted files with roaming user profiles.
  • Roaming user profiles used with Terminal Services clients are not replicated to the server until both the interactive user logs off and the interactive session is closed.

Related Topics


Create a mandatory user profile

To create a mandatory user profile

  1. Open Active Directory Users and Computers.
  2. In the details pane, right-click the applicable user account.

    Where?

    • Active Directory Users and Computers
    • applicable domain
    • applicable container (such as Users)
    • applicable user account
  3. Click Properties.
  4. In the Properties dialog box, click the Profile tab.
  5. In Profile path, type the path information ending with the .man file name extension.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Use a full path in each user account:

    • \\server\share\%username%.man

    For share, create a Profiles folder if it does not already exist, and share the folder with authenticated users allowing read only permissions. The share must be created before the user profile is enabled.

  • When creating a mandatory profile, make sure you set the appropriate access permissions for the user or groups of users that will use this profile.
  • You can also create a mandatory user profile by using Windows Explorer to rename the ntuser.dat file to ntuser.man.
  • A mandatory user profile is a preconfigured user profile. The user can still modify the desktop, but the changes are not saved when the user logs off. The next time the user logs on, the mandatory user profile is downloaded again. User profiles become mandatory when you rename the NTuser.dat file on the server to NTuser.man. This extension makes the user profile read-only.
  • The administrator can assign the same mandatory user profile to as many users as needed.

Related Topics


Add a home directory to a profile

To add a home directory to a profile

  1. Open Active Directory Users and Computers.
  2. In the details pane, right-click the applicable user account.

    Where?

    • Active Directory Users and Computers
    • applicable domain
    • applicable container (such as Users)
    • applicable user account
  3. Click Properties.
  4. In the Properties dialog box, click the Profile tab.
  5. In Home Directory, type the directory information.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Windows 2000 includes a desktop folder called My Documents, which offers a convenient alternative to home directories but does not replace them. All users have a My Documents folder in their user profile.
  • A user can change the target folder location of his or her My Documents folder by right-clicking the desktop icon, clicking Properties, and then specifying a new location on the Target tab.
  • You can use Group Policy to change the target folder location of any user's My Documents folder, disable a user's ability to change the target folder location, remove the My Documents icon from the desktop, and choose whether programs use My Documents or a different folder as the default location for opening and saving files.
  • If no home directory is assigned here, the system assigns the default local home directory to the user account (\Users\Default on the user's local drive where Windows 2000 is installed as an upgrade, or the root directory where Windows 2000 is installed as the initial version). The home directory can use the same location as the My Documents folder.
  • When using Windows 2000 Terminal Services, the user profile is the default home directory.

Related Topics


Concepts

This section provides general background information about user profiles.

  • User profiles overview
  • Understanding user profiles
  • Using user profiles
  • Resources


User profiles overview

On computers running Windows 2000, user profiles automatically create and maintain the desktop settings for each user's work environment on the local computer. A user profile is created for each user when he or she logs on to a computer for the first time.

User profiles provide several advantages to users:

  • More than one user can use the same computer, and each receives desktop settings when he or she logs on.
  • When users log on to their workstation, they receive the desktop settings as they existed when they logged off.
  • Customization of the desktop environment made by one user does not affect another user's settings.
  • User profiles can be stored on a server so that they can follow users to any computer running Windows NT 4.0 or Windows 2000 on the network. These are called roaming user profiles.

As an administrative tool, user profiles provide these options:

  • You can create a default user profile that is appropriate for the user's tasks.
  • You can set up a mandatory user profile that does not save changes made by the user to the desktop settings. Users can modify the desktop settings of the computer while they are logged on, but none of these changes are saved when they log off. The mandatory profile settings are downloaded to the local computer each time the user logs on. For more information on mandatory profiles, see To create a mandatory user profile.
  • You can specify the default user settings that will be included in all of the individual user profiles.

User profile types

A user profile defines customized desktop environments, which include individual display settings, network and printer connections, and other specified settings. You or your system administrator can define your desktop environment.

Types of user profiles include:

  • Local user profile. A local user profile is created the first time you log on to a computer and is stored on a computer's local hard disk. Any changes made to your local user profile are specific to the computer on which you made the changes.
  • Roaming user profile. A roaming user profile is created by your system administrator and is stored on a server. This profile is available every time you log on to any computer on the network. Changes made to your roaming user profile are updated on the server.
  • Mandatory user profile. A mandatory user profile is a roaming profile that can be used to specify particular settings for individuals or an entire group of users. Only system administrators can make changes to mandatory user profiles.


Understanding user profiles

This section covers:

  • Contents of a user profile
  • Settings saved in a user profile


Contents of a user profile

Every user profile begins as a copy of Default User, which is a default user profile stored on each computer running Windows 2000. The NTuser.dat file within Default User displays configuration settings from the Windows 2000 registry. Every user profile also uses the common program groups, contained in the All Users folder.

The user profile folders contain links to various desktop items.

User profile folder | Contents
Application data | Program-specific data—for example, a custom dictionary. Program vendors decide what data to store in the User profile folder.
Cookies | User information and preferences.
Desktop | Desktop items, including files, shortcuts, and folders.
Favorites | Shortcuts to favorite locations on the Internet.
Local Settings | Application data, History, and Temporary files. Application data roams with the user by way of roaming user profiles.
My Documents | User documents.
My Pictures | User picture items.
NetHood | Shortcuts to My Network Places items.
PrintHood | Shortcuts to printer folder items.
Recent | Shortcuts to the most recently used documents and accessed folders.
SendTo | Shortcuts to document-handling utilities.
Start Menu | Shortcuts to program items.
Templates | User template items.

NTuser.dat file

The NTuser.dat file is the registry portion of the user profile. For more information on the Windows 2000 registry, see the Windows 2000 Resource Kits.

All Users

Although they are not copied to user profile folders, the settings in the All Users folder are used to create the individual user profiles.

Windows 2000 supports two program group types:

  • Common program groups are always available on a computer, no matter who is logged on.
  • Personal program groups are private to the user who creates them.

Common program groups are stored in the All Users folder under the Documents and Settings folder. The All Users folder also contains settings for the Desktop and Start menu.

Notes

  • The My Documents, My Pictures, Favorites, Start Menu, and Desktop folders are, by default, the only folders displayed in Windows Explorer. The NetHood, PrintHood, Local Settings, Recent, and Templates folders are hidden and do not appear in Windows Explorer. To view these folders and their contents in Windows Explorer, on the Tools menu, point to Folder options, click the View tab, and then click Show hidden files and folders.
  • On computers running Windows 2000 with the NTFS file system, only members of the Administrators group can create, delete, or modify the common program groups.


Settings saved in a user profile

A user profile contains configuration preferences and options for each user: a snapshot of a user's desktop environment.

The following table is a sample of the settings contained in a user profile.

Source | Parameters saved
Windows Explorer | All user-definable settings for Windows Explorer.
My Documents | User-stored documents.
My Pictures | User-stored picture items.
Favorites | Shortcuts to favorite locations on the Internet.
Mapped network drive | Any user-created mapped network drives.
My Network Places | Links to other computers on the network.
Desktop contents | Items stored on the Desktop and Shortcut elements.
Screen colors and fonts | All user-definable computer screen colors and display text settings.
Application data and registry hive | Application data and user-defined configuration settings.
Printer settings | Network printer connections.
Control Panel | All user-defined settings made in Control Panel.
Accessories | All user-specific program settings affecting the user's Windows environment, including Calculator, Clock, Notepad, and Paint.
Windows 2000–based programs | Any program written specifically for Windows 2000 can be designed so that it tracks program settings on a per-user basis. If this information exists, it is saved in the user profile.
Online user education bookmarks | Any bookmarks placed in the Windows 2000 Help system.

Note

  • The My Documents, My Pictures, Favorites, Start Menu, and Desktop folders are, by default, the only folders displayed in Windows Explorer. The NetHood, PrintHood, Recent, and Templates folders are hidden and do not appear in Windows Explorer. To view these folders and their contents in Windows Explorer, from the Tools menu, point to Folder options, click the View tab, and then click Show hidden files and folders.


Using user profiles

This section covers:

  • Using roaming user profiles
  • Preconfigured user profiles
  • Local user profiles


Using roaming user profiles

With roaming user profiles, users can log on to any computer running Windows 2000 within their domain. After the roaming user profile has been authenticated within the directory service, the user profile stored on the server is copied to the local computer. All of the users' settings and documents that are stored on the server in the roaming user profile are copied to the local computer. For more information on implementing roaming user profiles, see To create a roaming user profile.

From Active Directory, you can assign a server location for user profiles. If you enter a user profile path into a user's domain account, a copy of the user's local user profile is saved both locally and in the user profile path location when the user logs off. The next time that user logs on, the user profile in the user profile path location is compared to the copy in the local user profile folder, and the most recent copy of the user profile is opened. The local user profile becomes a roaming user profile because of the centralized domain location. The users' settings and documents are available wherever the user logs on.

If the server is not available, the local cached copy of the roaming user profile is used. If the user has not logged on to the computer before, a new local user profile is created. In either case, if the centrally stored user profile is not available at logon, it is not updated when the user logs off. If the user profile is not downloaded because of server problems, it is not loaded when the user logs off.


Preconfigured user profiles

Although you can use any account to create a preconfigured user profile, it is often more convenient and efficient to use a reference computer. For example, if you plan to create and preconfigure three different roaming or mandatory user profiles for your sales, payroll, and production departments, create three different reference accounts called Sales Profile, Payroll Profile, and Prod Profile. Then, log on with each account to create the appropriate user profile for each user group. After you log back on as Administrator, use the Active Directory console to modify the user's individual accounts or the appropriate group account, and then copy the user profiles to the appropriate server. For information on how to copy user profiles, see To copy the user profile to the server.


Local user profiles

For new installations of Windows 2000, the local user profile is stored under the user name in the %userprofile%\Documents and Settings folder. For Windows 2000 upgrade installations, the local profile is stored under the user name in the %systemroot%\profiles folder. When no preconfigured server-based roaming user profile exists for a user, the first time a user logs on to a computer, a user profile folder is created for the user name. The contents of Default User are then copied to the new user profile folder. The user profile, along with the common program group settings in the All Users folder, creates the user's desktop. When the user logs off, any changes made to the default settings during the session are saved to the new user profile folder. The user profile in Default User remains unchanged.

If the user has a user account on the local computer in addition to a domain user account, or more than one domain user account, the local user profile is different for each account because different user profiles are generated for each user who logs on. When the user logs off, changed settings are saved to only one user profile, depending on which account the user logged on to.


Resources

  • Updated technical information
  • Windows 2000 Resource Kit